Hey,

Chris McDonough wrote:
> On 5/5/09 11:16 AM, Martijn Faassen wrote:
>> Hanno Schlichting wrote:
>> [snip]
>>> Given those dates the most commonly used Plone version will be based on
>>> Python 2.4 up until end of next year by the looks of it.
>> What about implementing the dropping of Python 2.4 compatibility in
>> september, then? To give you guys a bit more time?
> 
> Were this some other project, I'd ask the Plone folks or some other group 
> that 
> cares about Zope packages under 2.4 to set up a buildbot that tested "the 
> ZTK" 
> under Python 2.4.  Then I'd ask the same folks to to pay attention to the 
> buildbot output and fix issues exposed by the buildbot over time.

I'm all for people setting up a buildbots. And people do sometimes set 
up buildbots. But I think we forget to actually document where the 
buildbot is, what it is doing, and who to contact about it. People 
sometimes ask *me* about buildbots when I bring up the topics as if I 
somehow know how they work and what to do with them. So I keep trying to 
delegate it to someone who can make sure that:

* there's a buildbot

* that someone's listening to this mailing list and reminds people about 
the buildbot and tells people what the buildbot can and cannot do

* that someone extends the Zope Toolkit documentation telling people 
about the buildbot, where to find it, how to use it, etc. Doesn't have 
to be much, just a page.

I should probably make this clearer. Not rely on my memory of who all 
were talking about a buildbot and having to dig through a mailbox to 
find the URL to one.

Regards,

Martijn

_______________________________________________
Zope-Dev maillist  -  Zope-Dev@zope.org
http://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-announce
 http://mail.zope.org/mailman/listinfo/zope )

Reply via email to